package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class LPGNextApiCreds extends GenericItem
{
    public static final String APINAME = "apiName";
    public static final String USERNAME = "username";
    public static final String PASSWORD = "password";
    public static final String PARTNERCODE = "partnerCode";
    public static final String PARTNERSECRET = "partnerSecret";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return LPGNextApiCreds.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getApiName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "apiName".intern());
    }
    
    public String getApiName() {
        return this.getApiName(this.getSession().getSessionContext());
    }
    
    public void setApiName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "apiName".intern(), (Object)value);
    }
    
    public void setApiName(final String value) {
        this.setApiName(this.getSession().getSessionContext(), value);
    }
    
    public String getPartnerCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "partnerCode".intern());
    }
    
    public String getPartnerCode() {
        return this.getPartnerCode(this.getSession().getSessionContext());
    }
    
    public void setPartnerCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "partnerCode".intern(), (Object)value);
    }
    
    public void setPartnerCode(final String value) {
        this.setPartnerCode(this.getSession().getSessionContext(), value);
    }
    
    public String getPartnerSecret(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "partnerSecret".intern());
    }
    
    public String getPartnerSecret() {
        return this.getPartnerSecret(this.getSession().getSessionContext());
    }
    
    public void setPartnerSecret(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "partnerSecret".intern(), (Object)value);
    }
    
    public void setPartnerSecret(final String value) {
        this.setPartnerSecret(this.getSession().getSessionContext(), value);
    }
    
    public String getPassword(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "password".intern());
    }
    
    public String getPassword() {
        return this.getPassword(this.getSession().getSessionContext());
    }
    
    public void setPassword(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "password".intern(), (Object)value);
    }
    
    public void setPassword(final String value) {
        this.setPassword(this.getSession().getSessionContext(), value);
    }
    
    public String getUsername(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "username".intern());
    }
    
    public String getUsername() {
        return this.getUsername(this.getSession().getSessionContext());
    }
    
    public void setUsername(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "username".intern(), (Object)value);
    }
    
    public void setUsername(final String value) {
        this.setUsername(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("apiName", Item.AttributeMode.INITIAL);
        tmp.put("username", Item.AttributeMode.INITIAL);
        tmp.put("password", Item.AttributeMode.INITIAL);
        tmp.put("partnerCode", Item.AttributeMode.INITIAL);
        tmp.put("partnerSecret", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
